build: Remove configure options --disable-gpg
authorWerner Koch <wk@gnupg.org>
Thu, 2 Nov 2017 15:51:37 +0000 (16:51 +0100)
committerWerner Koch <wk@gnupg.org>
Thu, 2 Nov 2017 15:55:17 +0000 (16:55 +0100)
--

gpg is used by several other components as well as from the test
suite.  We need it.

GnuPG-bug-id: 3479
Signed-off-by: Werner Koch <wk@gnupg.org>
configure.ac

index ebd0c2f..119a95f 100644 (file)
@@ -116,7 +116,8 @@ use_tls_library=no
 large_secmem=no
 show_tor_support=no
 
-GNUPG_BUILD_PROGRAM(gpg, yes)
+# gpg is a required part and can't be disabled anymore.
+build_gpg=yes
 GNUPG_BUILD_PROGRAM(gpgsm, yes)
 # The agent is a required part and can't be disabled anymore.
 build_agent=yes